# $Revision: 1.100.2.5 $, $Date: 2005/08/17 11:16:09 $
# TODO:
# - accept multiple config definition in /etc/sysconfig/mrtg by cron-started
#   mrtg. Thats why sysconfig file is in main package.
# - start mrtg daemon as non-root user (configurable, because root is required
#   for some sort of stats

%include	/usr/lib/rpm/macros.perl
Summary:	Multi Router Traffic Grapher
Summary(es):	Herramienta para hacer grficos de empleo en la red
Summary(pl):	MRTG - generator obrazw obcienia cz
Summary(pt_BR):	Ferramenta para fazer grficos do uso da rede
Summary(ru):	MRTG -   ,     
Name:		mrtg
Version:	2.12.2
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	http://people.ee.ethz.ch/~oetiker/webtools/mrtg/pub/%{name}-%{version}.tar.gz
# Source0-md5:	dd74c4f28ac594938d15dc16b7f88bd2
Source1:	%{name}.cfg
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Source4:	%{name}.logrotate
Source5:	%{name}.cron
Source6:	%{name}-indexmaker.cron
Patch0:		%{name}.path.patch
Patch1:		%{name}-use-perl-pod.patch
URL:		http://people.ee.ethz.ch/~oetiker/webtools/mrtg/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gd-devel >= 2.0.1
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	perl-SNMP_Session >= 1.05
BuildRequires:	perl-devel >= 1:5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
PreReq:		rc-scripts >= 0.2.0
Requires:	perl(SNMP_util) >= 1.04
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_htmldir	/home/httpd/html/mrtg

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the
traffic load on network-links. MRTG generates HTML pages containing
PNG images which provide a LIVE visual representation of this traffic.

%description -l es
Herramienta para hacer grficos de empleo en la red.

%description -l pl
Multi Router Traffic Grapher (MRTG) to narzdzie suce do
monitorowania obcienia cz sieciowych. MRTG generuje strony HTML
zawierajce obrazki PNG przedstawiajce aktualne obcienie cz.

%description -l pt_BR
O MRTG  uma ferramenta parar monitorar o trfego de links de rede.
Ele gera pginas HTML contendo imagens GIF que provm uma sensao
realstica deste grfico.

%package cron
Summary:	Files that allow running mrtg via crond
Summary(pl):	Pliki pozwalajce uruchamia mrtg z crona
Group:		Applications/Networking
Requires:	/etc/cron.d
Requires:	mrtg
Provides:	mrtg-start
Obsoletes:	mrtg-start
Obsoletes:	mrtg-init

%description cron
Files that allow running mrtg via crond.

%description cron -l pl
Pliki pozwalajce uruchamia mrtg z crona.

%package init
Summary:	Files that allow running mrtg via rc-scripts
Summary(pl):	Pliki pozwalajce uruchamia mrtg z poziomu rc-scripts
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	/etc/cron.d
Requires:	mrtg
Provides:	mrtg-start
Obsoletes:	mrtg-start
Obsoletes:	mrtg-cron

%description init
Files that allow running mrtg via rc-scripts.

%description init -l pl
Pliki pozwalajce uruchamia mrtg z poziomu rc-scripts.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
rm -rf lib/mrtg2/Pod

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,rc.d/init.d,sysconfig,logrotate.d},%{_sysconfdir}/mrtg,%{_htmldir}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name},%{perl_sitelib},%{_mandir}/man1} \
	$RPM_BUILD_ROOT{/var/log/{mrtg,archiv/mrtg},/var/run/mrtg}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/mrtg
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/mrtg
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/mrtg
install %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/mrtg
install %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/mrtg-cronjob
install %{SOURCE6} $RPM_BUILD_ROOT%{_bindir}/indexmaker-cronjob
ln -sf %{_sysconfdir}/mrtg/mrtg.cfg $RPM_BUILD_ROOT%{_htmldir}/mrtg.cfg
install images/* $RPM_BUILD_ROOT%{_htmldir}

install bin/{cfgmaker,indexmaker} $RPM_BUILD_ROOT%{_libdir}/mrtg
install bin/{rateup,mrtg} $RPM_BUILD_ROOT%{_bindir}
install lib/mrtg2/locales_mrtg.pm $RPM_BUILD_ROOT%{perl_sitelib}
install lib/mrtg2/MRTG_lib.pm $RPM_BUILD_ROOT%{perl_sitelib}
install doc/*.1	$RPM_BUILD_ROOT%{_mandir}/man1

tar -cf contrib.tar contrib

cat  << EOF > $RPM_BUILD_ROOT/etc/cron.d/mrtg
*/5 * * * * root umask 022; /bin/nice -n 19 %{_bindir}/mrtg-cronjob
*/5 * * * * root umask 022; /bin/nice -n 19 %{_bindir}/indexmaker-cronjob 2> /dev/null
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post init
/sbin/chkconfig --add mrtg
if [ -f /var/lock/subsys/mrtg ]; then
	/etc/rc.d/init.d/mrtg restart >&2
else
	echo "Run \"/etc/rc.d/init.d/mrtg start\" to start mrtg." >&2
fi

%preun init
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/mrtg ]; then
		/etc/rc.d/init.d/mrtg stop
	fi
	/sbin/chkconfig --del mrtg
fi

%files
%defattr(644,root,root,755)
%doc contrib.tar doc/*.txt
%dir %{_htmldir}
%dir %{_libdir}/mrtg
%attr(751,root,root) %dir %{_sysconfdir}/mrtg
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mrtg/mrtg.cfg
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mrtg
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/mrtg
%attr(644,root,root) %{_htmldir}/*
%attr(644,root,root) %{perl_sitelib}/*.pm
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/mrtg/*
%attr(751,root,root) %dir /var/log/mrtg
%attr(751,root,root) %dir /var/log/archiv/mrtg
%dir /var/run/mrtg
%{_mandir}/man1/*

%files cron
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/mrtg

%files init
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/mrtg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mrtg.spec,v $
Revision 1.100.2.5  2005/08/17 11:16:09  hawk
- merged version 2.12.2 from HEAD, adjusted for Ra

Revision 1.100.2.4  2004/02/04 23:43:06  blues
- 2.10.13 for RA (release 2)

Revision 1.100.2.3  2004/02/04 23:40:19  blues
- release 4 - sync with HEAD

Revision 1.100.2.2  2004/01/08 15:20:27  blues
- damn, it's required for running, not building

Revision 1.100.2.1  2004/01/08 14:23:19  blues
- RA-specific changes

Revision 1.100  2004/01/08 14:08:33  blues
- reverted perl-fackery

Revision 1.99  2004/01/08 14:06:55  blues
- updated requires

Revision 1.98  2004/01/08 13:55:27  blues
- release 2 - allow multiple configs definition in daemon mode

Revision 1.97  2004/01/05 08:57:24  lukasz
- up to 2.10.12

Revision 1.96  2004/01/01 22:43:42  adamg
- updated to 2.10.11

Revision 1.95  2003/10/31 13:27:13  qboosh
- changed URL to more general page

Revision 1.94  2003/10/01 11:10:04  lukasz
- 2.10.5
- IPv6 support was added

Revision 1.93  2003/08/23 19:08:20  ankry
- proper dir creation

Revision 1.92  2003/08/23 10:59:42  waszi

- typo

Revision 1.91  2003/07/28 22:51:33  blues
- some cleanups, more macros

Revision 1.90  2003/05/28 12:59:48  malekith
- massive attack: source-md5

Revision 1.89  2003/05/25 05:50:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.88  2003/04/25 09:25:18  lukasz
- 2.9.29

Revision 1.87  2003/04/06 20:56:09  mwinkler
- updated to 2.9.28

Revision 1.86  2003/03/08 01:00:15  mwinkler
- typo s/mysql/mrtg/

Revision 1.85  2003/03/07 22:18:51  djurban
- created cron and init subpackages,
  since it is possible to start mrtgin two
  ways and init is much more effective

Revision 1.84  2003/03/02 21:30:16  radek
- updated for perl-5.8; release 2

Revision 1.83  2003/03/01 11:57:45  radek
- updated Source0 URL

Revision 1.82  2003/02/23 08:26:11  orzech
- up to 2.9.27

Revision 1.81  2003/02/17 22:06:19  ankry
- reversed previous change

Revision 1.79  2003/02/13 19:19:00  blues
- 640 for standard config ang o+x for directory - some www-frontend for
  mrtg need access to that files...

Revision 1.78  2003/02/13 16:52:19  blues
- release 2 - changed permisions to /etc/mrtg directory for root only -
  in this directory are often snmp passwords!
  STBR to Ra updates security

Revision 1.77  2002/12/12 22:14:13  zagrodzki
- updated to 2.9.25

Revision 1.76  2002/12/06 21:45:56  orzech
- /home/httpd -> /home/services/httpd

Revision 1.75  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.74  2002/08/05 12:35:48  lukasz
- up to 2.9.22

Revision 1.73  2002/07/08 15:07:57  lukasz
- up to 2.9.21

Revision 1.72  2002/06/20 13:22:23  kloczek
- release 3.

Revision 1.71  2002/06/19 22:38:51  lukasz
- changed nice priority to 19 from 20 (-20 highest priority, 19 lowest) in cron job

Revision 1.70  2002/06/07 10:29:33  lukasz
-fixed /etc/cron.d/mrtg

Revision 1.69  2002/06/02 19:38:10  lukasz
- added manuals

Revision 1.68  2002/06/02 18:44:53  lukasz
- 2.9.18

Revision 1.67  2002/05/21 23:14:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.66  2002/05/06 21:05:41  kloczek
- release 5: merge translations from KSI and Conectiva.

Revision 1.65  2002/02/23 03:54:21  kloczek
- adapterized.

Revision 1.64  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.63  2002/01/18 02:13:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.62  2001/10/27 20:09:26  kloczek
- release 4.

Revision 1.61  2001/10/27 09:51:52  grzegorz
- added %%verify(not size mtime md5) to %%{_sysconfdir}/mrtg/mrtg.cfg

Revision 1.60  2001/10/11 08:42:04  qboosh
- BuildRequires: autoconf, automake

Revision 1.59  2001/07/13 16:36:54  wiget
release 3; gd2/ac 2.50 ready

Revision 1.58  2001/06/22 20:22:42  zagrodzki
- use separate SNMP_Session
- release 2

Revision 1.57  2001/06/06 11:54:55  kloczek
- updated to 2.9.17.

Revision 1.56  2001/06/04 22:46:32  kloczek
- updated to 2.9.15.

Revision 1.55  2001/06/02 17:28:51  kloczek
- updated to 2.9.14.

Revision 1.54  2001/05/15 20:50:09  kloczek
- release 2.

Revision 1.53  2001/05/15 15:22:27  mis
- changed to non relative symlink to /etc/mrtg/mrtg.cfg
  (works fine even if /home is symlink)

Revision 1.52  2001/05/05 17:25:58  kloczek
- BuildRequires for perl >= 5.004 changed to perl-devel >= 5.6.1.

Revision 1.51  2001/04/21 23:30:08  lukasz
- updated to 2.9.12

Revision 1.50  2001/04/20 18:39:42  areq
- 2.9.11

Revision 1.49  2001/04/17 12:04:48  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.48  2001/04/14 23:51:26  baggins
- release 2
- install perl stuff in perl_sitelib
- use /etc/mrtg in cron job
- fixed %%doc

Revision 1.47  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.46  2001/04/13 21:57:59  baggins
- removed stupid buildconfilcts perl-PodParser

Revision 1.45  2001/04/10 19:18:41  baggins
- updated to 2.9.11pre1
- /test only

Revision 1.44  2001/03/06 10:46:50  kloczek
- release 3: added "BuildConflicts: perl-PodParser".

Revision 1.43  2001/02/22 11:51:43  kloczek
- release 2,
- added rrdtool to BuildRequires for complet proper dependences from
  perl(RRDs) perl module on building package.

Revision 1.42  2001/02/21 18:55:50  wiget
fix requires

Revision 1.41  2001/02/21 17:54:18  areq
- 2.9.10

Revision 1.40  2001/02/17 15:22:11  areq
- 2.9.8 stb

Revision 1.39  2001/01/05 04:29:27  kloczek
- updated to 2.9.7.

Revision 1.38  2000/12/14 22:04:14  kloczek
- updated to 2.9.6.

Revision 1.37  2000/11/01 09:19:40  kloczek
- updated to 2.9.4.

Revision 1.36  2000/10/30 21:42:28  misiek
run cron jobs with nice 20

Revision 1.35  2000/10/24 23:31:01  kloczek
- cosmetics.

Revision 1.34  2000/10/24 23:18:28  misiek
redirect output from indexmaker to /dev/null; avoid mails from crond

Revision 1.33  2000/10/24 23:01:20  misiek
fixed buildrequires

Revision 1.32  2000/10/24 22:06:52  misiek
updated to 2.9.2

Revision 1.31  2000/10/06 14:32:32  wiget
2.9.1

Revision 1.30  2000/10/06 13:51:47  kloczek
- adaptezrized.

Revision 1.29  2000/10/06 13:38:50  wiget
use relative links

Revision 1.28  2000/10/06 09:55:52  yaro
- update to 2.9.0

Revision 1.27  2000/07/28 13:58:11  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.26  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.25  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.24  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.23  2000/03/07 13:01:45  lukasz

- updated to 2.8.12

Revision 1.22  2000/01/20 20:39:23  wiget
2.8.11

Revision 1.21  1999/11/04 10:18:06  wiget
- 2.8.9

Revision 1.20  1999/10/10 21:13:32  kloczek
- release 3,
- changed location ctontab entry file to /etc/cron.d.

Revision 1.19  1999/09/15 00:03:46  wiget
- release 2

Revision 1.18  1999/09/01 13:56:55  wiget
- noreplace /etc/crontab.d/mrtg

Revision 1.17  1999/09/01 01:05:13  kloczek
- updated to 2.8.8,
- added passing LDFLAGS="-s" to ./cinfigure enviroment,
- simplification in %install.

Revision 1.16  1999/07/31 14:06:16  misiek
it's GPL now

Revision 1.15  1999/07/29 15:24:54  misiek
typo

Revision 1.14  1999/07/29 12:49:11  misiek
GIF->PNG

Revision 1.13  1999/07/27 15:47:03  misiek
update to 2.8.6

Revision 1.12  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.11  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.10  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Feb 27 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- upgreaded to 2.6.6

* Sun Feb 21 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- PLDized

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 powertools.

* Fri Jun 02 1998 Michael Maher <mike@redhat.com>
- fixed bugs found in package.

* Fri May 22 1998 Michael Maher <mike@redhat.com>
- updated package
- checked package looks ok

* Sun Dec  7 1997 Otto Hammersmith <otto@redhat.com>
- added WorkDir to mrtg.cfg

* Tue Nov 25 1997 Otto Hammersmith <otto@redhat.com>
- addeed patch to clean up paths to perl in the contrib directory.  ugh

* Mon Nov 17 1997 Otto Hammersmith <otto@redhat.com>
- updated version to 2.5.1
- change buildroot to /var/tmp from /tmp

* Mon Apr 28 1997 Michael Fulbright <msf@redhat.com>
- Updated to 2.2 and changed to build with a Buildroot.
